<div class="d-flex mx-auto" style="width: fit-content; width: -moz-fit-content">
  <button class="btn btn-outline-success" [routerLink]="'/edit-book/'">Créer un livre</button>
</div>

<table class="table">
  <thead>
  <tr>
    <th scope="col">ISBN</th>
    <th scope="col">Titre</th>
    <th scope="col">Editeur</th>
    <th scope="col">Année</th>
    <th scope="col">Synopsis</th>
    <th scope="col">Image</th>
    <th scope="col">Actions</th>
  </tr>
  </thead>
  <tbody>
  <tr scope="row" *ngFor="let book of books.entries()">
    <td>{{ book[0] }}</td>
    <td>{{ book[1].title }}</td>
    <td>{{ book[1].publisher }}</td>
    <td>{{ book[1].year }}</td>
    <td [innerHTML]="book[1].back_cover | markdown"></td>
    <td><img src="{{ book[1].imageUrl }}" alt="{{ book[1].title }}" width="150" height="150"></td>
    <td>
      <button class="btn btn-outline-success" routerLink="/book/{{book[0]}}">
        Afficher
      </button>
      <button class="btn btn-outline-primary" routerLink="/edit-book/{{book[0]}}">
        Modifier
      </button>
      <button class="btn btn-outline-danger" (click)="booksService.deleteBookFromId(book[0])">Supprimer</button>
    </td>
  </tr>
  </tbody>
</table>
